## org.eclipse.datatools.sqltools.debugger.editorext
Class SQLDebugHover

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.sql.AbstractSQLEditorTextHover
          org.eclipse.datatools.sqltools.debugger.editorext.SQLDebugHover

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.jface.text.information.IInformationProviderExtension2, org.eclipse.jface.text.ITextHover, org.eclipse.jface.text.ITextHoverExtension, org.eclipse.ui.IPartListener, org.eclipse.ui.ISelectionListener

    public class SQLDebugHover

extends AbstractSQLEditorTextHover
implements org.eclipse.jface.text.ITextHoverExtension, org.eclipse.ui.ISelectionListener, org.eclipse.ui.IPartListener, org.eclipse.jface.text.information.IInformationProviderExtension2

Used to show SP local variable information when debugging

Author:
  Hui Cao

Constructor Summary
`SQLDebugHover()`
`SQLDebugHover(org.eclipse.ui.IEditorPart editor)`

Method Summary
`org.eclipse.jface.text.IInformationControlCreator` `getHoverControlCreator()`
`java.lang.String` `getHoverInfo(org.eclipse.jface.text.ITextViewer textViewer, org.eclipse.jface.text.IRegion hoverRegion)`
`org.eclipse.jface.text.IInformationControlCreator` `getInformationPresenterControlCreator()`
`void` `partActivated(org.eclipse.ui.IWorkbenchPart part)`
`void` `partBroughtToTop(org.eclipse.ui.IWorkbenchPart part)`
`void` `partClosed(org.eclipse.ui.IWorkbenchPart part)`
`void` `partDeactivated(org.eclipse.ui.IWorkbenchPart part)`
`void` `partOpened(org.eclipse.ui.IWorkbenchPart part)`
`void` `selectionChanged(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)`
`void` `setEditor(org.eclipse.ui.IEditorPart editor)` Associates a SQL editor with this hover.

Methods inherited from class org.eclipse.datatools.sqltools.sqleditor.sql.AbstractSQLEditorTextHover
`getHoverRegion`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLDebugHover

    public SQLDebugHover()

### SQLDebugHover

    public SQLDebugHover(org.eclipse.ui.IEditorPart editor)

Method Detail

### partActivated

    public void partActivated(org.eclipse.ui.IWorkbenchPart part)

  Specified by:
    `partActivated` in interface `org.eclipse.ui.IPartListener`

### partBroughtToTop

    public void partBroughtToTop(org.eclipse.ui.IWorkbenchPart part)

  Specified by:
    `partBroughtToTop` in interface `org.eclipse.ui.IPartListener`

### partClosed

    public void partClosed(org.eclipse.ui.IWorkbenchPart part)

  Specified by:
    `partClosed` in interface `org.eclipse.ui.IPartListener`

### partDeactivated

    public void partDeactivated(org.eclipse.ui.IWorkbenchPart part)

  Specified by:
    `partDeactivated` in interface `org.eclipse.ui.IPartListener`

### partOpened

    public void partOpened(org.eclipse.ui.IWorkbenchPart part)

  Specified by:
    `partOpened` in interface `org.eclipse.ui.IPartListener`

### selectionChanged

    public void selectionChanged(org.eclipse.ui.IWorkbenchPart part,
                                 org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.ISelectionListener`

### setEditor

    public void setEditor(org.eclipse.ui.IEditorPart editor)

  Description copied from class: `AbstractSQLEditorTextHover`
  Associates a SQL editor with this hover. Subclass can cache it for later use.

  Specified by:
    `setEditor` in class `AbstractSQLEditorTextHover`

### getHoverInfo

    public java.lang.String getHoverInfo(org.eclipse.jface.text.ITextViewer textViewer,
                                         org.eclipse.jface.text.IRegion hoverRegion)

  Specified by:
    `getHoverInfo` in interface `org.eclipse.jface.text.ITextHover`

### getHoverControlCreator

    public org.eclipse.jface.text.IInformationControlCreator getHoverControlCreator()

  Specified by:
    `getHoverControlCreator` in interface `org.eclipse.jface.text.ITextHoverExtension`
  Overrides:
    `getHoverControlCreator` in class `AbstractSQLEditorTextHover`

### getInformationPresenterControlCreator

    public org.eclipse.jface.text.IInformationControlCreator getInformationPresenterControlCreator()

  Specified by:
    `getInformationPresenterControlCreator` in interface `org.eclipse.jface.text.information.IInformationProviderExtension2`